package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.dto.CabinetDto;
import com.junmp.jyzb.api.bean.req.UpdateCabinetBoxReq;
import com.junmp.jyzb.api.bean.req.UpdateCabinetReq;
import com.junmp.jyzb.entity.Cabinet;
import com.junmp.jyzb.entity.CabinetBox;

import java.util.List;


public interface CabinetBoxService extends IService<CabinetBox> {


    //添加箱门信息
    CabinetDto AddOrUpdateBoxInfo(UpdateCabinetReq req);
    //添加箱门信息
    CabinetDto DeleteBox(UpdateCabinetReq req);
    //判断箱门信息是否存在
    CabinetBox CabinetBoxExist(String id);

    Cabinet getCabByBoxId(String locationId);

    Boolean updateBoxInfo(UpdateCabinetBoxReq req);
}
